ADTF crashed because of a graphical issue with 3rd party Qt dependencies

2017-07-20 14:12 - Anonymous

Status: Closed   

Priority: Normal   

Category:    

Customer: BOSCH Product Issue

Numbers:

 

Department: CC-DA/EAV Affected Products: ADTF 2.9.0, ADTF Calibration Toolbox

2.3.0, ADTF Device Toolbox 2.3.0, ADTF

Device Toolbox 2.6.1, ADTF Display

Toolbox 1.6.0, ADTF MLSLBlockset

1.0.0, ADTF Streaming Library 2.7.1,

ADTF Video Compression Toolbox 2.3.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Solved Issue FAQ Links:  

Description

Support issue:

I am having issues using ADTF while attempting to play .dat files in playback mode and receive an error message, which I have

attached as an image file.

I contacted ADTF support and was told to update my Intel HD graphics device driver, and after doing so, I still received the error

message. I have also attached the corresponding .dmp and .xml files that occurred with the error. If any other information is needed

please let me know.

 ADTF_Error.jpg 

ig9icd64.dll

Solution:

There was a problem with e.g. "Qt Video Display Filter" or another filter which used a graphical 3rd party lib.

The customer updated his INTEL onboard graphic unit and reinstalled ADTF & Qt to solve his problem.

History

#1 - 2017-07-21 09:31 - hidden

- Project changed from Public Support to 5

- Author set to hidden

- Topic set to ADTF::Common

#2 - 2017-07-25 17:36 - hidden

- Status changed from New to Customer Feedback Required

#3 - 2017-07-27 14:26 - hidden

- Author deleted (hidden)

Hello Dylan,

could you please send us the image, it wasn't provided with your email.

What is your error message?

#4 - 2017-07-27 19:09 - Anonymous

- File ADTF_Error.jpg added

I Have attached a image of the error I receive from ADTF
#5 - 2017-07-28 14:35 - hidden

Hello Dylan,

it seems that there is an driver issue with the graphic card integrated in your CPU.

Do you have an external graphic card?

If you got an Intel CPU please update your driver:

To find out which Intel HD Graphics is integrated, push WINDOWS-KEY + pause.

Find your processor. Next visit https://ark.intel.com/ to find out which Intel HD graphic is integrated in your cpu.

Download the driver:

https://www.intel.com/content/www/us/en/support/graphics-drivers.html?_ga=2.83082262.1495126445.1501245040-123249953.1501244999

#7 - 2017-08-01 16:57 - hidden

Hello Dylan,

is your issue solved, or do you need any further help?

Please give us a short feedback, so we can close this ticket.

#8 - 2017-08-02 14:44 - Anonymous

No, updating my Intel HD Graphics driver did not work. I still receive the same issue while in playback mode

#9 - 2017-08-02 16:24 - hidden

Hello Dylan,

could you please start your ADTF in debug (<ADTF-DIR>\bin\debug\adtf_devenv.exe) and send us the dump file? The debug version contains more

information about your exception.

What is the usecase of your ADTF configuration?

Which filters do you use?

Maybe it is also necessary for us to get your whole playable ADTF configuration to find the problem.

First you can check your configuration by yourself and activate/deactivate your filters to find out which one causes the problem.

Because of your exception I think there is maybe a problem with e.G. Qt video display or another used graphical 3rd party lib.

#10 - 2017-08-04 15:56 - Anonymous

I uninstalled ADTF, all add-ons, and QT, then reninstalled them. I went back through all the setup and changed the location of some of the filters and

it is working now!! It is very slow, but it is working. Thank you for all of your patience and help!

#11 - 2017-08-07 10:19 - hidden

- Project changed from 5 to Public Support

- Subject changed from ADTF Playback issues to ADTF crashed because of a graphical issue with 3rd party Qt dependencies

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

@Florian, Ticket kann geschlossen werden.

#12 - 2017-08-07 13:24 - hidden

- Status changed from To Be Closed to Closed

Files

adtf 2.9.0 Build 2236 RELEASE 20170718-122557.dmp 253 KB 2017-07-20 Anonymous

adtf 2.9.0 Build 2236 RELEASE 20170718-122601.xml 443 KB 2017-07-20 Anonymous

ADTF_Error.jpg 50.3 KB 2017-07-27 Anonymous
